package be.iminds.ilabt.jfed.lowlevel.resourceid;

import javax.annotation.Nonnull;

/**
 * HrnResource
 */
public class ResourceHrn implements ResourceId {
    @Nonnull
    private final String value;

    public ResourceHrn(@Nonnull String value) {
        this.value = value;
    }

    public String getType() {
        return "hrn";
    }

    @Nonnull
    public String getValue() {
        return value;
    }

    @Override
    public String toString() {
        return "HrnResource{" + value + "\"}";
    }
}
